using System;
using System.Collections.Generic;
using System.Text;

namespace AVS
{
    public class Marketplace
    {
        public int Id { get; set; }
        public string Name { get; set; }

        public Marketplace(int id, string name)
        {
            Id = id;
            Name = name;
        }
    }

    public class MarketplaceService
    {
        private List<Marketplace> marketplaces;

        public MarketplaceService()
        {
            // Initialize with data. This simulates database data.
            marketplaces = new List<Marketplace>
        {
            new Marketplace(1, "AMAZON_USA"),
            new Marketplace(2, "AMAZON_CA"),
            new Marketplace(3, "AMAZON_UK"),
            new Marketplace(4, "AMAZON_EU"),
            new Marketplace(5, "AMAZON_AU")
        };
        }

        public List<Marketplace> GetMarketplaces()
        {
            // Adding '--Select--' as the first option
            var listWithSelect = new List<Marketplace> { new Marketplace(0, "--Select--") };
            listWithSelect.AddRange(marketplaces);
            return listWithSelect;
        }
    }
}
